/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * lasercalc
 * Copyright (C) Udo Eisenbarth 2008 <udo.eisenbarth@web.de>
 * 
 * lasercalc is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * lasercalc is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _MODULE_BASE_HPP_
#define _MODULE_BASE_HPP_
#include <gtkmm.h>

class ModuleBase; // forward declaration

struct ModuleRecord
{
	ModuleBase* module;
	Glib::ustring name;
};

class ModuleBase
{
public:
	virtual ~ModuleBase() {};
	virtual Gtk::Widget* get_Window()=0;
protected:

private:
};

#endif // _MODULE_BASE_HPP_
